<!DOCTYPE html>
<!--[if lt IE 9]>
<html xmlns:th="http://www.thymeleaf.org" class="lte-ie8" lang="en"><![endif]-->
<!--[if gt IE 8]><!-->
<html lang="en" xmlns:sec="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<!--<![endif]-->
<head>
  <meta charset="utf-8"/>
  <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
  <meta name="description" content=""/>


  <title>Cookie Consent test page</title>

  <th:block
      th:replace="~{cookie-consent-base::fonts}"></th:block>

  <!-- Cookie Consent plugin css  files, should be loaded by header component-->
  <th:block
      th:replace="~{cookie-consent-base::head-links}"></th:block>

  <!-- Necessary cookies should always be set regardless of user preferences  -->
  <script th:src="@{/webjars/spring-cookie-consent/javascript/test/necessary.js}"></script>

  <!-- Statistics cookies have to be accepted before they are set -->
  <script th:src="@{/webjars/spring-cookie-consent/javascript/test/statistics.js}" data-cookieconsent="statistics" type="text/plain"></script>

  <!-- Cookie Consent plugin js files, should be loaded by header component-->
  <th:block
      th:replace="~{cookie-consent-base::scripts}"></th:block>

  <script data-cookieconsent="statistics" type="text/plain">
      document.cookie = 'inline-js=this cookie is from inline javascript';
    </script>

</head>
<body>
<!-- Cookie Consent plugin actual banner
     This is a hidden component that needs to be declared in main heading around where navigation is
     created within site main templates
 -->
<th:block
    th:replace="~{cookie-consent-base::banner}"></th:block>

<main class="main">


  <h1>Cookies:</h1>
  <button id="cookie-list-refresh">Refresh</button>
  <div id="cookie-list"></div>

  <iframe data-src="https://example.com" data-cookieconsent="statistics"></iframe>

  <script th:src="@{/webjars/consent/javascript/test/show-cookie-data.js}" ></script>
</main>

</body>
</html>
